class kerberos::config {
  file { 'krb5.conf':
    ensure  => present,
    path    => $kerberos::params::krb5_file,
    owner   => $kerberos::params::owner,
    group   => $kerberos::params::group,
    mode    => $kerberos::params::mode,
    content => template($kerberos::params::krb5_template),
  }
  
  file { '/root/.k5login':
    ensure => present,
    path   => $kerberos::params::k5login_file,
    owner  => $kerberos::params::owner,
    group  => $kerberos::params::group,
    mode   => $kerberos::params::mode,
    content => template($kerberos::params::k5template),
 
  }


}

